Skip to main content
`Ctrl`+`K`

# DMInterpolationGetVector

Gets a `Vec` which can hold all the interpolated field values

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetVector(DMInterpolationInfo ctx, Vec *v)

Collective

## Input Parameter

- ctx - the context

## Output Parameter

- v - a vector capable of holding the interpolated field values

## Note

This vector should be returned using `DMInterpolationRestoreVector()`.

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationRestoreVector()`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`, `DMInterpolationCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages